#include "character_data.hpp"
#include "utils/godot_macros.h"
#include "weapon_data.hpp"

namespace godot {
void CharacterData::_bind_methods() {
#define CLASSNAME CharacterData
    GDPROPERTY_HINTED(weapon, Variant::OBJECT, PROPERTY_HINT_RESOURCE_TYPE, "WeaponData");
}

void CharacterData::set_weapon(Ref<WeaponData> weapon) {
    this->weapon = weapon;
}

Ref<WeaponData> CharacterData::get_weapon() const {
    return this->weapon;
}
}
